searchNodes=[{"doc":"GraylogSearch constructs search queries in a composable manner.It more or less follows Graylog's search query language.Basic UsageAll queries start with a base URL to the graylog instance.GraylogSearch.new(&quot;https://graylog.example.com&quot;)And end with requesting the constructed URL.GraylogSearch.url()In between the start and end, the query can be composed in various ways.GraylogSearch.new(&quot;https://graylog.example.com&quot;) |&gt; GraylogSearch.for(&quot;message&quot;, &quot;ssh login&quot;) |&gt; GraylogSearch.and_for(&quot;hostname&quot;, &quot;service*.example.com&quot;) |&gt; GraylogSearch.minutes_ago(5) |&gt; GraylogSearch.url()See the API docs below for other ways to construct a query.","ref":"GraylogSearch.html","title":"GraylogSearch","type":"module"},{"doc":"Aliases for/2","ref":"GraylogSearch.html#and_for/2","title":"GraylogSearch.and_for/2","type":"function"},{"doc":"Aliases for/3","ref":"GraylogSearch.html#and_for/3","title":"GraylogSearch.and_for/3","type":"function"},{"doc":"Aliases not_for/2","ref":"GraylogSearch.html#and_not/2","title":"GraylogSearch.and_not/2","type":"function"},{"doc":"Aliases not_for/3","ref":"GraylogSearch.html#and_not/3","title":"GraylogSearch.and_not/3","type":"function"},{"doc":"Search messages within an absolute time range.Datetimes expected to be UTC in ISO 8601 format.","ref":"GraylogSearch.html#between/3","title":"GraylogSearch.between/3","type":"function"},{"doc":"Search messages with a relative time range in days.From the given amount of days ago to the time the search is performed.","ref":"GraylogSearch.html#days_ago/2","title":"GraylogSearch.days_ago/2","type":"function"},{"doc":"Search for a message by the given query term or phrase. This function can be chained to combine queries with AND.By default, all fields are included in the search when a field to search in is not specified.","ref":"GraylogSearch.html#for/2","title":"GraylogSearch.for/2","type":"function"},{"doc":"Searches for a term or phrase in a specific message field.Unlike for/2 which searches all message fields.","ref":"GraylogSearch.html#for/3","title":"GraylogSearch.for/3","type":"function"},{"doc":"Search messages with a relative time range in hours.From the given amount of hours ago to the time the search is performed.","ref":"GraylogSearch.html#hours_ago/2","title":"GraylogSearch.hours_ago/2","type":"function"},{"doc":"Search messages with a relative time range in minutes.From the given amount of minutes ago to the time the search is performed.","ref":"GraylogSearch.html#minutes_ago/2","title":"GraylogSearch.minutes_ago/2","type":"function"},{"doc":"Given a base URL to the Graylog instance (i.e. scheme and host name, no path or query string), returns a URI for GraylogSearch pipelines.","ref":"GraylogSearch.html#new/1","title":"GraylogSearch.new/1","type":"function"},{"doc":"Search for messages that do not include a term or phrase.Uses the NOT operator. Can be chained to combine queries with AND NOT.","ref":"GraylogSearch.html#not_for/2","title":"GraylogSearch.not_for/2","type":"function"},{"doc":"Searches for messages that do not include a term or phrase in a specific field.Unlike not_for/2 which searches all message fields.","ref":"GraylogSearch.html#not_for/3","title":"GraylogSearch.not_for/3","type":"function"},{"doc":"Search messages by another term or phrase.Uses the OR operator to combine queries.","ref":"GraylogSearch.html#or_for/2","title":"GraylogSearch.or_for/2","type":"function"},{"doc":"Searches for another term or phrase in a specific message field.Unlike or_for/2 which searches all message fields.","ref":"GraylogSearch.html#or_for/3","title":"GraylogSearch.or_for/3","type":"function"},{"doc":"Includes the given fields in the message results.Requires extractors to exist for the fields being specified.","ref":"GraylogSearch.html#show_fields/2","title":"GraylogSearch.show_fields/2","type":"function"},{"doc":"Returns a URL to perform the search","ref":"GraylogSearch.html#url/1","title":"GraylogSearch.url/1","type":"function"},{"doc":"Search messages within a time range specified by natural language.Consult the natty natural language parser for details on supported date/time formats.","ref":"GraylogSearch.html#within/2","title":"GraylogSearch.within/2","type":"function"},{"doc":"🔍 GraylogSearchA fun little library to programmatically create basic Graylog search URLs.An example use case is chat alerts that link to logged events around failures.Tested with Graylog v2.4.6 and v3.0.1. Not guaranteed to be compatible with other versions.","ref":"readme.html","title":"README","type":"extras"},{"doc":"The package can be installed by adding graylog_search to your list of dependencies in mix.exs:def deps do [ {:graylog_search, &quot;~&gt; 1.0&quot;} ] end","ref":"readme.html#installation","title":"README - Installation","type":"extras"},{"doc":"See examples in the docs at https://hexdocs.pm/graylog_search and in the tests.","ref":"readme.html#usage","title":"README - Usage","type":"extras"}]